summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile.am25
-rwxr-xr-xautogen.sh19
-rw-r--r--configure.ac20
-rw-r--r--specs/Makefile.am48
4 files changed, 4 insertions, 108 deletions
diff --git a/Makefile.am b/Makefile.am
deleted file mode 100644
index 4358857..0000000
--- a/Makefile.am
+++ /dev/null
@@ -1,25 +0,0 @@
-SUBDIRS = specs
-
-kbdir = $(includedir)/X11/extensions
-kb_HEADERS = \
- XKBgeom.h \
- XKB.h \
- XKBproto.h \
- XKBsrv.h \
- XKBstr.h
-
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = kbproto.pc
-
-
-MAINTAINERCLEANFILES = ChangeLog INSTALL
-
-.PHONY: ChangeLog INSTALL
-
-INSTALL:
- $(INSTALL_CMD)
-
-ChangeLog:
- $(CHANGELOG_CMD)
-
-dist-hook: ChangeLog INSTALL
diff --git a/autogen.sh b/autogen.sh
index 971ce73..1facbd4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,17 +1,6 @@
-#! /bin/sh
+#!/bin/sh
-srcdir=`dirname "$0"`
-test -z "$srcdir" && srcdir=.
+echo "This module has been deprecated. Use xorgproto instead:"
+echo "git clone git://anongit.freedesktop.org/git/xorg/proto/xorgproto"
-ORIGDIR=`pwd`
-cd "$srcdir"
-
-autoreconf -v --install || exit 1
-cd "$ORIGDIR" || exit $?
-
-git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
- git config --local format.subjectPrefix "PATCH kbproto"
-
-if test -z "$NOCONFIGURE"; then
- exec "$srcdir"/configure "$@"
-fi
+exit 1
diff --git a/configure.ac b/configure.ac
deleted file mode 100644
index 807f341..0000000
--- a/configure.ac
+++ /dev/null
@@ -1,20 +0,0 @@
-AC_PREREQ([2.60])
-AC_INIT([KBProto], [1.0.7],
- [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg])
-AM_INIT_AUTOMAKE([foreign dist-bzip2])
-
-# Require xorg-macros minimum of 1.12 for DocBook external references
-m4_ifndef([XORG_MACROS_VERSION],
- [m4_fatal([must install xorg-macros 1.12 or later before running autoconf/autogen])])
-XORG_MACROS_VERSION(1.12)
-XORG_DEFAULT_OPTIONS
-XORG_ENABLE_SPECS
-XORG_WITH_XMLTO(0.0.22)
-XORG_WITH_FOP
-XORG_WITH_XSLTPROC
-XORG_CHECK_SGML_DOCTOOLS(1.8)
-
-AC_CONFIG_FILES([Makefile
- specs/Makefile
- kbproto.pc])
-AC_OUTPUT
diff --git a/specs/Makefile.am b/specs/Makefile.am
deleted file mode 100644
index 44bc973..0000000
--- a/specs/Makefile.am
+++ /dev/null
@@ -1,48 +0,0 @@
-
-if ENABLE_SPECS
-
-# Main DocBook/XML files (DOCTYPE book)
-docbook = xkbproto.xml
-
-# Included chapters, appendix, images
-chapters = \
- acknowledgements.xml \
- appA.xml \
- appB.xml \
- appC.xml \
- appD.xml \
- ch01.xml \
- ch02.xml \
- ch03.xml \
- ch04.xml \
- ch05.xml \
- ch06.xml \
- ch07.xml \
- ch08.xml \
- ch09.xml \
- ch10.xml \
- ch11.xml \
- ch12.xml \
- ch13.xml \
- ch14.xml \
- ch15.xml \
- ch16.xml \
- XKBproto-1.svg \
- XKBproto-2.svg \
- XKBproto-3.svg \
- XKBproto-4.svg \
- XKBproto-5.svg \
- XKBproto-6.svg \
- XKBproto-7.svg \
- XKBproto-8.svg \
- XKBproto-9.svg \
- XKBproto-10.svg \
- XKBproto-11.svg
-
-# The location where the DocBook/XML files and their generated formats are installed
-shelfdir = $(docdir)
-
-# Generate DocBook/XML output formats with or without stylesheets
-include $(top_srcdir)/docbook.am
-
-endif ENABLE_SPECS